diff -Nru darkice-1.2/src/DarkIce.cpp darkice-1.3/src/DarkIce.cpp
--- darkice-1.2/src/DarkIce.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/DarkIce.cpp	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : DarkIce.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/DarkIce.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
 
    Copyright notice:
@@ -113,7 +113,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: DarkIce.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /*------------------------------------------------------------------------------
@@ -262,7 +262,7 @@
         FileSink                  * localDumpFile   = 0;
         bool                        fileAddDate     = false;
         const char                * fileDateFormat  = 0;
-        AudioEncoder              * encoder         = 0;
+        BufferedSink              * audioOut        = 0;
         int                         bufferSize      = 0;
 
         str         = cs->get( "sampleRate");
@@ -384,10 +384,14 @@
                              "unsupported stream format: ", str);
 
         }
+        
+        // augment audio outs with a buffer when used from encoder
+        audioOut = new BufferedSink( audioOuts[u].server.get(), 
+                                                  bufferSize, 1);
 
 #ifdef HAVE_LAME_LIB
         if ( Util::strEq( str, "mp3") ) {
-            encoder = new LameLibEncoder( audioOuts[u].server.get(),
+            audioOuts[u].encoder = new LameLibEncoder( audioOut,
                                           dsp.get(),
                                           bitrateMode,
                                           bitrate,
@@ -400,8 +404,8 @@
 #endif
 #ifdef HAVE_TWOLAME_LIB
         if ( Util::strEq( str, "mp2") ) {
-            encoder = new TwoLameLibEncoder(
-                                            audioOuts[u].server.get(),
+            audioOuts[u].encoder = new TwoLameLibEncoder(
+                                            audioOut,
                                             dsp.get(),
                                             bitrateMode,
                                             bitrate,
@@ -410,7 +414,6 @@
         }
 #endif
 
-        audioOuts[u].encoder = new BufferedSink(encoder, bufferSize, dsp->getSampleSize());
         encConnector->attach( audioOuts[u].encoder.get());
 #endif // HAVE_LAME_LIB || HAVE_TWOLAME_LIB
     }
@@ -467,7 +470,7 @@
         FileSink                  * localDumpFile   = 0;
         bool                        fileAddDate     = false;
         const char                * fileDateFormat  = 0;
-        AudioEncoder              * encoder         = 0;
+        BufferedSink              * audioOut        = 0;
         int                         bufferSize      = 0;
 
         str         = cs->getForSure( "format", " missing in section ", stream);
@@ -597,6 +600,9 @@
                                             isPublic,
                                             localDumpFile);
 
+        audioOut = new BufferedSink( audioOuts[u].server.get(), 
+                                     bufferSize, 1);
+        
         switch ( format ) {
             case IceCast2::mp3:
 #ifndef HAVE_LAME_LIB
@@ -605,8 +611,8 @@
                                  "thus can't create mp3 stream: ",
                                  stream);
 #else
-                encoder = new LameLibEncoder(
-                                             audioOuts[u].server.get(),
+                audioOuts[u].encoder = new LameLibEncoder(
+                                             audioOut,
                                              dsp.get(),
                                              bitrateMode,
                                              bitrate,
@@ -616,8 +622,6 @@
                                              lowpass,
                                              highpass );
 
-                audioOuts[u].encoder = new BufferedSink(encoder, bufferSize, dsp->getSampleSize());
-
 #endif // HAVE_LAME_LIB
                 break;
 
@@ -630,8 +634,8 @@
                                 stream);
 #else
 
-                encoder = new VorbisLibEncoder(
-                                               audioOuts[u].server.get(),
+                audioOuts[u].encoder = new VorbisLibEncoder(
+                                               audioOut,
                                                dsp.get(),
                                                bitrateMode,
                                                bitrate,
@@ -640,7 +644,6 @@
                                                dsp->getChannel(),
                                                maxBitrate);
 
-                audioOuts[u].encoder = new BufferedSink(encoder, bufferSize, dsp->getSampleSize());
 #endif // HAVE_VORBIS_LIB
                 break;
 
@@ -652,8 +655,8 @@
                                 stream);
 #else
 
-                encoder = new OpusLibEncoder(
-                                               audioOuts[u].server.get(),
+                audioOuts[u].encoder = new OpusLibEncoder(
+                                               audioOut,
                                                dsp.get(),
                                                bitrateMode,
                                                bitrate,
@@ -662,7 +665,6 @@
                                                dsp->getChannel(),
                                                maxBitrate);
 
-                audioOuts[u].encoder = new BufferedSink(encoder, bufferSize, dsp->getBitsPerSample() / 8);
 #endif // HAVE_OPUS_LIB
                 break;
 
@@ -673,15 +675,14 @@
                                  "thus can't create mp2 stream: ",
                                  stream);
 #else
-                encoder = new TwoLameLibEncoder(
-                                                audioOuts[u].server.get(),
+                audioOuts[u].encoder = new TwoLameLibEncoder(
+                                                audioOut,
                                                 dsp.get(),
                                                 bitrateMode,
                                                 bitrate,
                                                 sampleRate,
                                                 channel );
 
-                audioOuts[u].encoder = new BufferedSink(encoder, bufferSize, dsp->getSampleSize());
 #endif // HAVE_TWOLAME_LIB
                 break;
 
@@ -693,8 +694,8 @@
                                 "thus can't aac stream: ",
                                 stream);
 #else
-                encoder = new FaacEncoder(
-                                          audioOuts[u].server.get(),
+                audioOuts[u].encoder = new FaacEncoder(
+                                          audioOut,
                                           dsp.get(),
                                           bitrateMode,
                                           bitrate,
@@ -702,7 +703,6 @@
                                           sampleRate,
                                           dsp->getChannel());
 
-                audioOuts[u].encoder = new BufferedSink(encoder, bufferSize, dsp->getSampleSize());
 #endif // HAVE_FAAC_LIB
                 break;
 
@@ -713,8 +713,8 @@
                                 "thus can't aacp stream: ",
                                 stream);
 #else
-                encoder = new aacPlusEncoder(
-                                             audioOuts[u].server.get(),
+                audioOuts[u].encoder = new aacPlusEncoder(
+                                             audioOut,
                                              dsp.get(),
                                              bitrateMode,
                                              bitrate,
@@ -722,7 +722,6 @@
                                              sampleRate,
                                              channel );
 
-                audioOuts[u].encoder = new BufferedSink(encoder, bufferSize, dsp->getSampleSize());
 #endif // HAVE_AACPLUS_LIB
                 break;
 
@@ -793,7 +792,7 @@
         FileSink                  * localDumpFile   = 0;
         bool                        fileAddDate     = false;
         const char                * fileDateFormat  = 0;
-        AudioEncoder              * encoder         = 0;
+        BufferedSink              * audioOut        = 0;
         int                         bufferSize      = 0;
 
         str         = cs->get( "sampleRate");
@@ -908,7 +907,9 @@
                                              localDumpFile);
 
 
-        encoder = new LameLibEncoder( audioOuts[u].server.get(),
+        audioOut = new BufferedSink(audioOuts[u].socket.get(), bufferSize, 1);
+        audioOuts[u].encoder = new LameLibEncoder( 
+                                      audioOut,
                                       dsp.get(),
                                       bitrateMode,
                                       bitrate,
@@ -917,7 +918,6 @@
                                       channel,
                                       lowpass,
                                       highpass );
-        audioOuts[u].encoder = new BufferedSink(encoder, bufferSize, dsp->getSampleSize());
 
         encConnector->attach( audioOuts[u].encoder.get());
 #endif // HAVE_LAME_LIB
@@ -1277,7 +1277,7 @@
 
     len = encConnector->transfer( bytes, 4096, 1, 0 );
 
-    reportEvent( 1, len, "bytes transfered to the encoders");
+    reportEvent( 1, len, "bytes transferred to the encoders");
 
     encConnector->close();
 
diff -Nru darkice-1.2/src/DarkIce.h darkice-1.3/src/DarkIce.h
--- darkice-1.2/src/DarkIce.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/DarkIce.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : DarkIce.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/DarkIce.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -72,8 +72,8 @@
 /**
  *  Program main object.
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class DarkIce : public virtual Referable, public virtual Reporter
 {
diff -Nru darkice-1.2/src/Exception.cpp darkice-1.3/src/Exception.cpp
--- darkice-1.2/src/Exception.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/Exception.cpp	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : Exception.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/Exception.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -51,7 +51,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: Exception.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
diff -Nru darkice-1.2/src/Exception.h darkice-1.3/src/Exception.h
--- darkice-1.2/src/Exception.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/Exception.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : Exception.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/Exception.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -59,8 +59,8 @@
  *  throw Exception( __FILE__, __LINE__, "describe the exception", code);
  *  </pre>
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class Exception
 {
diff -Nru darkice-1.2/src/FaacEncoder.cpp darkice-1.3/src/FaacEncoder.cpp
--- darkice-1.2/src/FaacEncoder.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/FaacEncoder.cpp	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : FaacEncoder.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/FaacEncoder.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -51,7 +51,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: FaacEncoder.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
diff -Nru darkice-1.2/src/FaacEncoder.h darkice-1.3/src/FaacEncoder.h
--- darkice-1.2/src/FaacEncoder.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/FaacEncoder.h	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : FaacEncoder.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/FaacEncoder.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -70,8 +70,8 @@
 /**
  *  A class representing faac AAC encoder.
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class FaacEncoder : public AudioEncoder, public virtual Reporter
 {
@@ -399,7 +399,7 @@
         }
 
         /**
-         *  Check wether encoding is in progress.
+         *  Check whether encoding is in progress.
          *
          *  @return true if encoding is in progress, false otherwise.
          */
diff -Nru darkice-1.2/src/FileCast.cpp darkice-1.3/src/FileCast.cpp
--- darkice-1.2/src/FileCast.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/FileCast.cpp	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : FileCast.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/FileCast.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -61,7 +61,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: FileCast.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
diff -Nru darkice-1.2/src/FileCast.h darkice-1.3/src/FileCast.h
--- darkice-1.2/src/FileCast.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/FileCast.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : FileCast.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/FileCast.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -54,8 +54,8 @@
 /**
  *  Class representing output to a local file.
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class FileCast : public CastSink
 {
diff -Nru darkice-1.2/src/FileSink.cpp darkice-1.3/src/FileSink.cpp
--- darkice-1.2/src/FileSink.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/FileSink.cpp	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : FileSink.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/FileSink.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -106,7 +106,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: FileSink.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
@@ -191,7 +191,7 @@
 
 
 /*------------------------------------------------------------------------------
- *  Check wether a file exists and is regular file
+ *  Check whether a file exists and is regular file
  *----------------------------------------------------------------------------*/
 bool
 FileSink :: exists ( void ) const               throw ()
@@ -250,7 +250,7 @@
 
 
 /*------------------------------------------------------------------------------
- *  Check wether the file can be written to
+ *  Check whether the file can be written to
  *----------------------------------------------------------------------------*/
 bool
 FileSink :: canWrite (     unsigned int    sec,
diff -Nru darkice-1.2/src/FileSink.h darkice-1.3/src/FileSink.h
--- darkice-1.2/src/FileSink.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/FileSink.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : FileSink.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/FileSink.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -51,8 +51,8 @@
 /**
  *  File data output
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class FileSink : public Sink, public virtual Reporter
 {
diff -Nru darkice-1.2/src/IceCast2.cpp darkice-1.3/src/IceCast2.cpp
--- darkice-1.2/src/IceCast2.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/IceCast2.cpp	2016-08-03 22:18:18.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : IceCast2.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/IceCast2.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -67,7 +67,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: IceCast2.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /*------------------------------------------------------------------------------
@@ -233,7 +233,7 @@
         sink->write( str, strlen( str));
     }
 
-    str = "\n\n";
+    str = "\r\n\r\n";
     sink->write( str, strlen( str));
     sink->flush();
 
diff -Nru darkice-1.2/src/IceCast2.h darkice-1.3/src/IceCast2.h
--- darkice-1.2/src/IceCast2.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/IceCast2.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : IceCast2.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/IceCast2.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -53,8 +53,8 @@
  *  Class representing output to an IceCast2 server with
  *  ice login
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class IceCast2 : public CastSink
 {
diff -Nru darkice-1.2/src/IceCast.cpp darkice-1.3/src/IceCast.cpp
--- darkice-1.2/src/IceCast.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/IceCast.cpp	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : IceCast.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/IceCast.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -67,7 +67,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: IceCast.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /*------------------------------------------------------------------------------
diff -Nru darkice-1.2/src/IceCast.h darkice-1.3/src/IceCast.h
--- darkice-1.2/src/IceCast.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/IceCast.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : IceCast.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/IceCast.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -53,8 +53,8 @@
  *  Class representing output to an IceCast server with
  *  x-audiocast login
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class IceCast : public CastSink
 {
diff -Nru darkice-1.2/src/JackDspSource.cpp darkice-1.3/src/JackDspSource.cpp
--- darkice-1.2/src/JackDspSource.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/JackDspSource.cpp	2016-08-03 22:18:36.000000000 +0200
@@ -7,9 +7,9 @@
    Tyrell DarkIce
 
    File     : JackDspSource.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/JackDspSource.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -82,6 +82,12 @@
 #error need limits.h
 #endif
 
+#ifdef HAVE_STDIO_H
+#include <stdio.h>
+#endif
+
+#include <climits>
+
 #include "Util.h"
 #include "Exception.h"
 #include "JackDspSource.h"
@@ -95,7 +101,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: JackDspSource.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
@@ -296,7 +302,7 @@
 
 
 /*------------------------------------------------------------------------------
- *  Check wether read() would return anything
+ *  Check whether read() would return anything
  *----------------------------------------------------------------------------*/
 bool
 JackDspSource :: canRead ( unsigned int   sec,
diff -Nru darkice-1.2/src/JackDspSource.h darkice-1.3/src/JackDspSource.h
--- darkice-1.2/src/JackDspSource.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/JackDspSource.h	2015-05-18 19:38:07.000000000 +0200
@@ -7,9 +7,9 @@
    Tyrell DarkIce
 
    File     : JackDspSource.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/JackDspSource.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -61,8 +61,8 @@
 /**
  *  An audio input based on JACK
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class JackDspSource : public AudioSource, public virtual Reporter
 {
diff -Nru darkice-1.2/src/LameLibEncoder.cpp darkice-1.3/src/LameLibEncoder.cpp
--- darkice-1.2/src/LameLibEncoder.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/LameLibEncoder.cpp	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : LameLibEncoder.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/LameLibEncoder.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -51,7 +51,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: LameLibEncoder.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
diff -Nru darkice-1.2/src/LameLibEncoder.h darkice-1.3/src/LameLibEncoder.h
--- darkice-1.2/src/LameLibEncoder.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/LameLibEncoder.h	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : LameLibEncoder.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/LameLibEncoder.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -66,8 +66,8 @@
  *  A class representing the lame encoder linked as a shared object or as
  *  a static library.
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class LameLibEncoder : public AudioEncoder, public virtual Reporter
 {
@@ -320,7 +320,7 @@
         }
 
         /**
-         *  Check wether encoding is in progress.
+         *  Check whether encoding is in progress.
          *
          *  @return true if encoding is in progress, false otherwise.
          */
diff -Nru darkice-1.2/src/main.cpp darkice-1.3/src/main.cpp
--- darkice-1.2/src/main.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/main.cpp	2015-05-18 19:38:08.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : main.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/main.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Abstract : 
 
@@ -71,7 +71,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: main.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 /*------------------------------------------------------------------------------
  *  Default config file name
diff -Nru darkice-1.2/src/Makefile.am darkice-1.3/src/Makefile.am
--- darkice-1.2/src/Makefile.am	2013-07-15 07:50:01.000000000 +0200
+++ darkice-1.3/src/Makefile.am	2016-08-04 15:31:18.000000000 +0200
@@ -1,10 +1,32 @@
 bin_PROGRAMS = darkice
-AM_CXXFLAGS = -O2 -pedantic -Wall @DEBUG_CXXFLAGS@ @PTHREAD_CFLAGS@
-			  @JACK_CFLAGS@ 
-INCLUDES = @LAME_INCFLAGS@ @VORBIS_INCFLAGS@ @OPUS_INCFLAGS@ @FAAC_INCFLAGS@ @AACPLUS_INCFLAGS@ @TWOLAME_INCFLAGS@ \
-		@ALSA_INCFLAGS@ @PULSEAUDIO_INCFLAGS@ @JACK_INCFLAGS@ @SRC_INCFLAGS@
-LDADD = @PTHREAD_LIBS@ @LAME_LDFLAGS@ @VORBIS_LDFLAGS@ @OPUS_LDFLAGS@ @FAAC_LDFLAGS@ @AACPLUS_LDFLAGS@ @TWOLAME_LDFLAGS@ \
-		@ALSA_LDFLAGS@ @PULSEAUDIO_LDFLAGS@ @JACK_LDFLAGS@ @SRC_LDFLAGS@
+
+darkice_CXXFLAGS = \
+ -O2 -pedantic -Wall \
+ $(DEBUG_CXXFLAGS) \
+ $(PTHREAD_CFLAGS) \
+ $(LAME_CFLAGS) \
+ $(VORBIS_CFLAGS) \
+ $(OPUS_CFLAGS) \
+ $(FAAC_CFLAGS) \
+ $(AACPLUS_CFLAGS) \
+ $(TWOLAME_CFLAGS) \
+ $(ALSA_CFLAGS) \
+ $(PULSEAUDIO_CFLAGS) \
+ $(JACK_CFLAGS) \
+ $(SRC_CFLAGS)
+
+darkice_LDADD = \
+ $(PTHREAD_LIBS) \
+ $(LAME_LIBS) \
+ $(VORBIS_LIBS) \
+ $(OPUS_LIBS) \
+ $(FAAC_LIBS) \
+ $(AACPLUS_LIBS) \
+ $(TWOLAME_LIBS) \
+ $(ALSA_LIBS) \
+ $(PULSEAUDIO_LIBS) \
+ $(JACK_LIBS) \
+ $(SRC_LIBS)
 
 if HAVE_SRC_LIB
 AFLIB_SOURCE = 
diff -Nru darkice-1.2/src/MultiThreadedConnector.cpp darkice-1.3/src/MultiThreadedConnector.cpp
--- darkice-1.2/src/MultiThreadedConnector.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/MultiThreadedConnector.cpp	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : MultiThreadedConnector.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/MultiThreadedConnector.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -53,7 +53,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: MultiThreadedConnector.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
@@ -229,7 +229,7 @@
     dataBuffer   = new unsigned char[bufSize];
     dataSize     = 0;
 
-    reportEvent( 6, "MultiThreadedConnector :: tranfer, bytes", bytes);
+    reportEvent( 6, "MultiThreadedConnector :: transfer, bytes", bytes);
 
     for ( b = 0; !bytes || b < bytes; ) {
         if ( source->canRead( sec, usec) ) {
diff -Nru darkice-1.2/src/MultiThreadedConnector.h darkice-1.3/src/MultiThreadedConnector.h
--- darkice-1.2/src/MultiThreadedConnector.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/MultiThreadedConnector.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : MultiThreadedConnector.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/MultiThreadedConnector.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -68,8 +68,8 @@
  *  Connects a source to one or more sinks, using a multi-threaded
  *  producer - consumer approach.
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class MultiThreadedConnector : public virtual Connector
 {
